### Method

# Gio FileInfo get_attribute_int32

#### Declaration

    gint32
    g_file_info_get_attribute_int32 (
      GFileInfo* info,
      const char* attribute
    )

#### Description

Gets a signed 32-bit integer contained within the attribute. If the attribute does not contain a signed 32-bit integer, or is invalid, 0 will be returned.

#### Parameters

`attribute`

  Type: `const char*`

  A file attribute key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint32`

A signed 32-bit integer from the attribute.